VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties
VisiMath.IVertexArray Interface Reference

Interface for accessing vertex arrays and list with brackets. More...

Inheritance diagram for VisiMath.IVertexArray:

List of all members.

## Public Member Functions
int | GetSize ()
| Total size of the array.
int | GetVertexSize ()
| Size of one vertex.
IntPtr | GetPointer ()
| Returns pointer to pinned array which can be used in unmanaged code. Must be freed again with freepointer! If VertexArray contains Vertex which is not structure, this function will throw exception! Dynamic VertexArray (VertexList and other) have to convert itself to VertexArray (DO NOT use for rendering every frame)
void | FreePointer ()
| Frees previously pinned pointer to array.
IVertexArray | GetCopy ()
| Returns copy of the vertex array.
## Properties
IVertex | this[int index]`[get, set]`
int | Count`[get]`
VertexIndexerVec3 | Normals`[get]`
VertexIndexerVec3 | Positions`[get]`
VertexIndexerColorByte | Colors`[get]`
VertexIndexerVec2 | TexCoords`[get]`
VertexDescriptor | Descriptor`[get]`
bool | IsPinnable`[get]`
| Returns true if it's possible to pin vertices and use it in unmanaged code with GetPointer Dynamic VertexLists returns false (it's still possible to use GetPointer, but new vertexarray will be created!)

## Detailed Description

Interface for accessing vertex arrays and list with brackets.

## Member Function Documentation

void VisiMath.IVertexArray.FreePointer | ( |  | ) |

Frees previously pinned pointer to array.

Implemented in VisiMath.VertexArray< T >, and VisiMath.VertexList< T >.

IVertexArray VisiMath.IVertexArray.GetCopy | ( |  | ) |

Returns copy of the vertex array.

Returns:

Implemented in VisiMath.VertexArray< T >, and VisiMath.VertexList< T >.

IntPtr VisiMath.IVertexArray.GetPointer | ( |  | ) |

Returns pointer to pinned array which can be used in unmanaged code. Must be freed again with freepointer! If VertexArray contains Vertex which is not structure, this function will throw exception! Dynamic VertexArray (VertexList and other) have to convert itself to VertexArray (DO NOT use for rendering every frame)

Implemented in VisiMath.VertexArray< T >, and VisiMath.VertexList< T >.

int VisiMath.IVertexArray.GetSize | ( |  | ) |

Total size of the array.

Implemented in VisiMath.VertexArray< T >, and VisiMath.VertexList< T >.

int VisiMath.IVertexArray.GetVertexSize | ( |  | ) |

Size of one vertex.

Implemented in VisiMath.VertexArray< T >, and VisiMath.VertexList< T >.

## Property Documentation

VertexIndexerColorByte VisiMath.IVertexArray.Colors`[get]`

Implemented in VisiMath.VertexArray< T >, and VisiMath.VertexList< T >.

int VisiMath.IVertexArray.Count`[get]`

Implemented in VisiMath.VertexArray< T >.

VertexDescriptor VisiMath.IVertexArray.Descriptor`[get]`

Implemented in VisiMath.VertexArray< T >, and VisiMath.VertexList< T >.

bool VisiMath.IVertexArray.IsPinnable`[get]`

Returns true if it's possible to pin vertices and use it in unmanaged code with GetPointer Dynamic VertexLists returns false (it's still possible to use GetPointer, but new vertexarray will be created!)

Implemented in VisiMath.VertexArray< T >, and VisiMath.VertexList< T >.

VertexIndexerVec3 VisiMath.IVertexArray.Normals`[get]`

Implemented in VisiMath.VertexArray< T >, and VisiMath.VertexList< T >.

VertexIndexerVec3 VisiMath.IVertexArray.Positions`[get]`

Implemented in VisiMath.VertexArray< T >, and VisiMath.VertexList< T >.

VertexIndexerVec2 VisiMath.IVertexArray.TexCoords`[get]`

Implemented in VisiMath.VertexArray< T >, and VisiMath.VertexList< T >.

IVertex VisiMath.IVertexArray.this[int index]`[get, set]`

Implemented in VisiMath.VertexArray< T >, and VisiMath.VertexList< T >.

The documentation for this interface was generated from the following file:

- VertexArray.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events